package com.lzmispt.data.resource.service.datasync.impl.flink;

package .tmp;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "data-sync.flink")
public class FlinkConfig {
  private String host;
  
  private Integer port;
  
  private String historyServerHost;
  
  private Integer historyServerPort;
  
  public void setHost(String host) {
    this.host = host;
  }
  
  public void setPort(Integer port) {
    this.port = port;
  }
  
  public void setHistoryServerHost(String historyServerHost) {
    this.historyServerHost = historyServerHost;
  }
  
  public void setHistoryServerPort(Integer historyServerPort) {
    this.historyServerPort = historyServerPort;
  }
  
  public boolean equals(Object o) {
    if (o == this)
      return true; 
    if (!(o instanceof com.lzmispt.data.resource.service.datasync.impl.flink.FlinkConfig))
      return false; 
    com.lzmispt.data.resource.service.datasync.impl.flink.FlinkConfig other = (com.lzmispt.data.resource.service.datasync.impl.flink.FlinkConfig)o;
    if (!other.canEqual(this))
      return false; 
    Object this$host = getHost(), other$host = other.getHost();
    if ((this$host == null) ? (other$host != null) : !this$host.equals(other$host))
      return false; 
    Object this$port = getPort(), other$port = other.getPort();
    if ((this$port == null) ? (other$port != null) : !this$port.equals(other$port))
      return false; 
    Object this$historyServerHost = getHistoryServerHost(), other$historyServerHost = other.getHistoryServerHost();
    if ((this$historyServerHost == null) ? (other$historyServerHost != null) : !this$historyServerHost.equals(other$historyServerHost))
      return false; 
    Object this$historyServerPort = getHistoryServerPort(), other$historyServerPort = other.getHistoryServerPort();
    return !((this$historyServerPort == null) ? (other$historyServerPort != null) : !this$historyServerPort.equals(other$historyServerPort));
  }
  
  protected boolean canEqual(Object other) {
    return other instanceof com.lzmispt.data.resource.service.datasync.impl.flink.FlinkConfig;
  }
  
  public int hashCode() {
    int PRIME = 59;
    result = 1;
    Object $host = getHost();
    result = result * 59 + (($host == null) ? 43 : $host.hashCode());
    Object $port = getPort();
    result = result * 59 + (($port == null) ? 43 : $port.hashCode());
    Object $historyServerHost = getHistoryServerHost();
    result = result * 59 + (($historyServerHost == null) ? 43 : $historyServerHost.hashCode());
    Object $historyServerPort = getHistoryServerPort();
    return result * 59 + (($historyServerPort == null) ? 43 : $historyServerPort.hashCode());
  }
  
  public String toString() {
    return "FlinkConfig(host=" + getHost() + ", port=" + getPort() + ", historyServerHost=" + getHistoryServerHost() + ", historyServerPort=" + getHistoryServerPort() + ")";
  }
  
  public FlinkConfig() {}
  
  public FlinkConfig(String host, Integer port, String historyServerHost, Integer historyServerPort) {
    this.host = host;
    this.port = port;
    this.historyServerHost = historyServerHost;
    this.historyServerPort = historyServerPort;
  }
  
  public String getHost() {
    return this.host;
  }
  
  public Integer getPort() {
    return this.port;
  }
  
  public String getHistoryServerHost() {
    return this.historyServerHost;
  }
  
  public Integer getHistoryServerPort() {
    return this.historyServerPort;
  }
}
